@@myheader.sql

set long 10000000 longchunksize 10000000 pages 0

/************************************
*  INPUT PARAMETERS
************************************/
UNDEFINE rid
UNDEFINE type

DEFINE rid="&&1"
DEFINE type="&&2"

COLUMN  _type                 NEW_VALUE type              NOPRINT

set term off
SELECT 
       DECODE('&&type','','TEXT',UPPER('&&type'))  "_type"
FROM DUAL;
set term on

PROMPT
PROMPT ***********************************************************************
PROMPT *  SINGLE STATS OPERATION DETAIL
PROMPT *
PROMPT *  Input Parameters 
PROMPT *  - report id               = '&&rid'
PROMPT *  - type                    = '&&type'
PROMPT ***********************************************************************
 

select dbms_auto_report.report_repository_detail(rid => &&rid, type => '&&type')
       from dual;

@@myfooter.sql
